Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class MsgCatalogTokenImpl

    java.lang.Object
      org.eclipse.hyades.logging.events.MsgCatalogTokenImpl

All Implemented Interfaces:
  java.lang.Cloneable, IMsgCatalogToken, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class MsgCatalogTokenImpl
extends java.lang.Object
implements IMsgCatalogToken, java.io.Serializable, java.lang.Cloneable

A representation of the 'Msg Catalog Token'. A string used as substitution value for resolving an internationalized message into formatted text.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Paul E. Slauenwhite
See Also:
  `IMsgCatalogToken`, Serialized Form

Field Summary
`protected java.lang.String` | `value` Deprecated.

Constructor Summary
`protected` | `MsgCatalogTokenImpl()` Deprecated. No-argument protected constructor for MsgCatalogTokenImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different objects are equal.
`java.lang.String` | `getValue()` Deprecated. Returns the value.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g.
`void` | `setValue(java.lang.String value)` Deprecated. Sets the value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  Deprecated.

Constructor Detail

### MsgCatalogTokenImpl

    protected MsgCatalogTokenImpl()

  Deprecated.
  No-argument protected constructor for MsgCatalogTokenImpl.

Method Detail

### getValue

    public java.lang.String getValue()

  Deprecated.
  Returns the value. The value of the message catalog token.

  Specified by:
    `getValue` in interface `IMsgCatalogToken`
  Returns:
    String The value.
  See Also:
    `IMsgCatalogToken.getValue()`

### setValue

    public void setValue(java.lang.String value)

  Deprecated.
  Sets the value. The value of the message catalog token.

  Specified by:
    `setValue` in interface `IMsgCatalogToken`
  Parameters:
    `value` - The value to set.
  See Also:
    `IMsgCatalogToken.setValue(java.lang.String)`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different objects are equal.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IMsgCatalogToken`
  Since:
    1.0.1
  See Also:
    `IMsgCatalogToken.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD